diff --git a/util/seed-viewer/src/test/java/collections/NamespaceTest.java b/util/seed-viewer/src/test/java/collections/NamespaceTest.java
index 29f271278..95c71a96c 100644
--- a/util/seed-viewer/src/test/java/collections/NamespaceTest.java
+++ b/util/seed-viewer/src/test/java/collections/NamespaceTest.java
@@ -11,12 +11,12 @@ public class NamespaceTest {
     @DisplayName("Test Namespace 2String Constructor")
     void namespaceCreation1() {
         // Valid creation
-        NamespaceID namespaceID_1 = NamespaceID.getPermanent("minecraft", "value1");
+        NamespaceID namespaceID_1 = NamespaceID.fromPool("minecraft", "value1");
         Assertions.assertEquals(namespaceID_1.namespace(), "minecraft");
         Assertions.assertEquals(namespaceID_1.value(), "value1");
         Assertions.assertEquals(namespaceID_1.toString(), "minecraft:value1");
 
-        NamespaceID namespaceID_2 = NamespaceID.getPermanent("minecraft", "value1");
+        NamespaceID namespaceID_2 = NamespaceID.fromPool("minecraft", "value1");
         Assertions.assertEquals(namespaceID_2.namespace(), "minecraft");
         Assertions.assertEquals(namespaceID_2.value(), "value1");
         Assertions.assertEquals(namespaceID_2.toString(), "minecraft:value1");
@@ -26,7 +26,7 @@ public class NamespaceTest {
         Assertions.assertEquals(namespaceID_1, namespaceID_2);
         Assertions.assertEquals(namespaceID_1.toString(), namespaceID_2.toString());
 
-        NamespaceID namespaceID_3 = NamespaceID.getPermanent("bta", "value2");
+        NamespaceID namespaceID_3 = NamespaceID.fromPool("bta", "value2");
         Assertions.assertEquals(namespaceID_3.namespace(), "bta");
         Assertions.assertEquals(namespaceID_3.value(), "value2");
         Assertions.assertEquals(namespaceID_3.toString(), "bta:value2");
@@ -46,26 +46,26 @@ public class NamespaceTest {
         Assertions.assertNotEquals(namespaceID_3.toString(), namespaceID_2.toString());
 
         // Invalid creation
-        Assertions.assertThrowsExactly(NullPointerException.class, () -> NamespaceID.getPermanent(null, null));
-        Assertions.assertThrowsExactly(NullPointerException.class, () -> NamespaceID.getPermanent("minecraft", null));
-        Assertions.assertThrowsExactly(NullPointerException.class, () -> NamespaceID.getPermanent(null, "value1"));
+        Assertions.assertThrowsExactly(NullPointerException.class, () -> NamespaceID.fromPool(null, null));
+        Assertions.assertThrowsExactly(NullPointerException.class, () -> NamespaceID.fromPool("minecraft", null));
+        Assertions.assertThrowsExactly(NullPointerException.class, () -> NamespaceID.fromPool(null, "value1"));
 
-        Assertions.assertThrowsExactly(IllegalArgumentException.class, () -> NamespaceID.getPermanent("minecraft:", "value1"));
-        Assertions.assertThrowsExactly(IllegalArgumentException.class, () -> NamespaceID.getPermanent("minecraft", "value1:"));
-        Assertions.assertThrowsExactly(IllegalArgumentException.class, () -> NamespaceID.getPermanent("minecraft:", "value1:"));
+        Assertions.assertThrowsExactly(IllegalArgumentException.class, () -> NamespaceID.fromPool("minecraft:", "value1"));
+        Assertions.assertThrowsExactly(IllegalArgumentException.class, () -> NamespaceID.fromPool("minecraft", "value1:"));
+        Assertions.assertThrowsExactly(IllegalArgumentException.class, () -> NamespaceID.fromPool("minecraft:", "value1:"));
     }
 
     @Test
     @DisplayName("Test Namespace 1String Constructor")
     void namespaceCreation2() throws HardIllegalArgumentException {
         String formatted_1 = "minecraft:value1";
-        NamespaceID namespaceID_1 = NamespaceID.getPermanent(formatted_1);
+        NamespaceID namespaceID_1 = NamespaceID.fromPool(formatted_1);
         Assertions.assertEquals(namespaceID_1.namespace(), "minecraft");
         Assertions.assertEquals(namespaceID_1.value(), "value1");
         Assertions.assertEquals(namespaceID_1.toString(), formatted_1);
         Assertions.assertEquals(namespaceID_1.namespace() + ":" + namespaceID_1.value(), formatted_1);
 
-        NamespaceID namespaceID_2 = NamespaceID.getPermanent(formatted_1);
+        NamespaceID namespaceID_2 = NamespaceID.fromPool(formatted_1);
         Assertions.assertEquals(namespaceID_2.namespace(), "minecraft");
         Assertions.assertEquals(namespaceID_2.value(), "value1");
         Assertions.assertEquals(namespaceID_2.toString(), formatted_1);
@@ -76,12 +76,12 @@ public class NamespaceTest {
         Assertions.assertEquals(namespaceID_1, namespaceID_2);
         Assertions.assertEquals(namespaceID_1.toString(), namespaceID_2.toString());
 
-        Assertions.assertThrowsExactly(NullPointerException.class, () -> NamespaceID.getPermanent(null));
-        Assertions.assertThrowsExactly(HardIllegalArgumentException.class, () -> NamespaceID.getPermanent("minecraft::value1"));
-        Assertions.assertThrowsExactly(HardIllegalArgumentException.class, () -> NamespaceID.getPermanent("minecraft:value1:"));
-        Assertions.assertThrowsExactly(HardIllegalArgumentException.class, () -> NamespaceID.getPermanent(":value1"));
-        Assertions.assertDoesNotThrow(() -> NamespaceID.getPermanent("minecraft:value"));
-        Assertions.assertThrowsExactly(HardIllegalArgumentException.class, () -> NamespaceID.getPermanent("minecraft value"));
-        Assertions.assertThrowsExactly(HardIllegalArgumentException.class, () -> NamespaceID.getPermanent("minecraft|value"));
+        Assertions.assertThrowsExactly(NullPointerException.class, () -> NamespaceID.fromPool(null));
+        Assertions.assertThrowsExactly(HardIllegalArgumentException.class, () -> NamespaceID.fromPool("minecraft::value1"));
+        Assertions.assertThrowsExactly(HardIllegalArgumentException.class, () -> NamespaceID.fromPool("minecraft:value1:"));
+        Assertions.assertThrowsExactly(HardIllegalArgumentException.class, () -> NamespaceID.fromPool(":value1"));
+        Assertions.assertDoesNotThrow(() -> NamespaceID.fromPool("minecraft:value"));
+        Assertions.assertThrowsExactly(HardIllegalArgumentException.class, () -> NamespaceID.fromPool("minecraft value"));
+        Assertions.assertThrowsExactly(HardIllegalArgumentException.class, () -> NamespaceID.fromPool("minecraft|value"));
     }
 }
